package com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.lang.String;



public abstract class AbstractConfirmationSalaryFacadeControllerBean extends AbstractBizControllerBean implements ConfirmationSalaryFacadeController
{
    protected AbstractConfirmationSalaryFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("D97F8EFF");
    }

    public void createBill(Context ctx, String employmentBill, int leadDays, String startDate, String endDate) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("e8c50181-c1e5-4e38-bda4-50d2d651a121"), new Object[]{ctx, employmentBill, new Integer(leadDays), startDate, endDate});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _createBill(ctx, employmentBill, leadDays, startDate, endDate);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _createBill(Context ctx, String employmentBill, int leadDays, String startDate, String endDate) throws BOSException
    {    	
        return;
    }

}